Last Comment Bug 793262 - JavaScript Error: "this_ is not defined" on any new calendar item
: JavaScript Error: "this_ is not defined" on any new calendar item
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Lightning Only (show other bugs)
: Lightning 1.7
: x86_64 Windows 7
: -- normal (vote)
: 1.8
Assigned To: Philipp Kewisch [:Fallen]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 11:45 PDT by Michael Baffoni
Modified: 2012-09-30 10:42 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (1.39 KB, patch)
2012-09-24 01:06 PDT, Philipp Kewisch [:Fallen]
matthew.mecca: review+
Details | Diff | Review

Description Michael Baffoni 2012-09-21 11:45:13 PDT
Thunderbird 15.0.1 release, Lightning 1.7:

I'm trying to setup a connection to our mail server (CGpro, 5.x), but when I put a new calendar entry, I get this error:

Timestamp: 9/21/2012 9:00:31 AM
Error: [Exception... "'[JavaScript Error: "this_ is not defined" {file: "file:///C:/Users/baffoni/AppData/Roaming/Thunderbird/Profiles/1cg1672l.baffoni/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/components/calMemoryCalendar.js" line: 517}]' when calling method: [calIOfflineStorage::modifyOfflineItem]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "JS frame :: file:///C:/Users/baffoni/AppData/Roaming/Thunderbird/Profiles/1cg1672l.baffoni/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/components/calDavCalendar.js :: <TOP_LEVEL> :: line 778"  data: yes]

The server is asking for auth, so I think I have my path set correctly.
Comment 1 Philipp Kewisch [:Fallen] 2012-09-24 01:06:17 PDT
Created attachment 663955 [details] [diff] [review]
Fix - v1

Indeed, this is an error in the memory calendar when used as the offline cache and has been broken since 1.0 and bug 380060.

Normally you shouldn't run into this case though. Can it be that you have set the preference calendar.cache.type to memory? Setting back to the default ("storage") should work around the bug for now.

This patch should fix it, I haven't tested though.
Comment 2 Matthew Mecca [:mmecca] 2012-09-26 06:34:43 PDT
Comment on attachment 663955 [details] [diff] [review]
Fix - v1

r=mmecca
Comment 3 Michael Baffoni 2012-09-26 17:18:17 PDT
When I got to Tbird config editor and type "calendar.cache.type", nothing comes up, where do I go to check that preference?
Comment 4 Philipp Kewisch [:Fallen] 2012-09-30 10:39:54 PDT
Pushed to comm-central changeset 567a0c810399
Comment 5 Philipp Kewisch [:Fallen] 2012-09-30 10:40:12 PDT
Backported to releases/comm-aurora changeset bd445c8913dd
Comment 6 Philipp Kewisch [:Fallen] 2012-09-30 10:40:32 PDT
Backported to releases/comm-beta changeset f2ea5e2fa4f5
Comment 7 Philipp Kewisch [:Fallen] 2012-09-30 10:42:20 PDT
If that pref doesn't show up I really don't know why its happening to you. I hope this patch fixes it, otherwise we will have to dig a bit deeper. If you are comfortable modifying code, you could unpack your lightning.xpi, go into the calMemoryCalendar.js, and add:

cal.ERROR(cal.STACK(10));

to modifyOfflineItem. Then repack, install that Lightning and paste the stack here.

Note You need to log in before you can comment on or make changes to this bug.